MONGOC_GRIDFS_CREATE_FILE_FROM_STREAM(3)

NAME
mongoc_gridfs_create_file_from_stream() - This function shall create a new mongoc_gridfs_file_t and fill it with the contents of stream. Note that this function will read from stream until End of File, making it bet suited for file-backed streams.

SYNOPSIS

mongoc_gridfs_file_t *
mongoc_gridfs_create_file_from_stream (mongoc_gridfs_t          *gridfs,
                                       mongoc_stream_t          *stream,
                                       mongoc_gridfs_file_opt_t *opt);

PARAMETERS

gridfs
    A mongoc_gridfs_t(3) \&.

stream
    A mongoc_stream_t \&.

opt A mongoc_gridfs_file_opt_t to specify file options.

DESCRIPTION

This function shall create a new mongoc_gridfs_file_t and fill it with the contents of stream \&. Note that this function will read from stream until End of File, making it bet suited for file-backed streams.

RETURNS

A newly allocated mongoc_gridfs_file_t that should be freed with mongoc_gridfs_file_destroy(3) when no longer in use.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.